#! /bin/sh
### BEGIN INIT INFO
# Provides:          invirt-vnc-server
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Invirt VNC Proxy Server
# Description:       
### END INIT INFO

# Author: Invirt project <invirt@mit.edu>

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PACKAGE=invirt-vnc-server
DESC="The Invirt VNC Proxy Server"
DAEMON=/usr/sbin/invirt-vnc-server
DAEMON_ARGS=""
PIDFILE=/var/run/$PACKAGE.pid
SCRIPTNAME=/etc/init.d/$PACKAGE

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

. /lib/init/std-init.sh

#
# Function that starts the daemon/service
#
do_start()
{
	# Return
	#   0 if daemon has been started
	#   1 if daemon was already running
	#   2 if daemon could not be started
	daemon --running -n $PACKAGE && return 1
	daemon -r -U -O daemon.info -E daemon.err -n $PACKAGE -U $DAEMON $DAEMON_ARGS || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
	# Return
	#   0 if daemon has been stopped
	#   1 if daemon was already stopped
	#   2 if daemon could not be stopped
	#   other if a failure occurred
	daemon --stop -n $PACKAGE
	RETVAL="$?"
	[ "$RETVAL" = 2 ] && return 2
	# Many daemons don't delete their pidfiles when they exit.
	rm -f $PIDFILE
	return "$RETVAL"
}

std_init "$1"
